Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.java.platform/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.java.platform
Class PlatformInstall

    java.lang.Object
      org.netbeans.spi.java.platform.GeneralPlatformInstall
          org.netbeans.spi.java.platform.PlatformInstall

    public abstract class PlatformInstall

extends GeneralPlatformInstall

Defines an API for registering custom Java platform installer. The Installer is responsible for recognizing the platform, through its `accept(org.openide.filesystems.FileObject)` method, and for instantiation itself, through the provided wizard iterator.

Constructor Summary
`PlatformInstall()`

Method Summary
`abstract boolean` | `accept(FileObject baseFolder)` Checks whether a given folder contains a platform of the supported type.
`abstract WizardDescriptor.InstantiatingIterator` | `createIterator(FileObject baseFolder)` XXX Javadoc for this method is completely inadequate.

Methods inherited from class org.netbeans.spi.java.platform.GeneralPlatformInstall
`getDisplayName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlatformInstall

    public PlatformInstall()

Method Detail

### createIterator

    public abstract WizardDescriptor.InstantiatingIterator createIterator(FileObject baseFolder)

  XXX Javadoc for this method is completely inadequate. What does it do? Determines whether the Recognizer recognizes a Java Platform in the passed folder. The check done by this method should be quick and should not involve launching the virtual machine. The framework will call a more detailed check later.

  Returns:
    TemplateWizard.Iterator instance responsible for instantiating the platform. The instantiate method of the returned iterator should return the Set containing the created JavaPlatform.

### accept

    public abstract boolean accept(FileObject baseFolder)

  Checks whether a given folder contains a platform of the supported type.

  Parameters:
    `baseFolder` - folder which may be an installation root of a platform
  Returns:
    true if the folder is recognized

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.java.platform/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.